'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a61d733f.js');

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4);overflow:auto}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";
const GenericModalStyle0 = genericModalCss;

const GenericModal = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.close = index.createEvent(this, "close", 7);
    }
    render() {
        return (index.h("div", { key: 'a0eaaabad89ae851b51f611fa5e8c27e0d8a5dfa', class: "modal" }, index.h("div", { key: '9fedcfb712463a8317dfa2e866c2b3a0efecab25', class: "modal-content" }, index.h("div", { key: '7c440e82fda71a578fea3d088426e2934329f5ef', class: "modal-header" }, index.h("span", { key: '1f060cb243246ee231d5f0226a345e536ad53304', class: "close", onClick: () => this.close.emit() }, "\u2715"), index.h("h2", { key: '5af332c03ad477fafbcf1ebefcb2fc7d549a2a5b' }, this.modalTitle), this.modalSubtitle && index.h("h4", { key: 'f2abbe728dbe548bfb77745590bd0d0774c09915' }, this.modalSubtitle)), this.body)));
    }
};
GenericModal.style = GenericModalStyle0;

const genericSpinnerCss = ".spinner{display:flex;justify-content:center;align-items:center;width:100%;height:100%}.spinner::after{content:'';width:40px;height:40px;border:4px solid #f3f3f3;border-top:4px solid #3498db;border-radius:50%;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";
const GenericSpinnerStyle0 = genericSpinnerCss;

const GenericSpinner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return index.h("div", Object.assign({ key: 'd31262d4879d356a349f79e53838797cbc237c8e', class: "spinner" }, this.host.attributes));
    }
    get host() { return index.getElement(this); }
};
GenericSpinner.style = GenericSpinnerStyle0;

exports.generic_modal = GenericModal;
exports.generic_spinner = GenericSpinner;

//# sourceMappingURL=generic-modal_2.cjs.entry.js.map