'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a61d733f.js');
const signTransactionsModalStore = require('./signTransactionsModalStore-8a04694e.js');

const TokenComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = signTransactionsModalStore.state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (index.h("sign-transaction-component", { key: '1aae71bf7e8f14269ab7613e6af6a389dc99b3c7', header: index.h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

exports.token_component = TokenComponent;

//# sourceMappingURL=token-component.cjs.entry.js.map