import { h } from "@stencil/core";
export class GenericModal {
    render() {
        return (h("div", { key: 'a0eaaabad89ae851b51f611fa5e8c27e0d8a5dfa', class: "modal" }, h("div", { key: '9fedcfb712463a8317dfa2e866c2b3a0efecab25', class: "modal-content" }, h("div", { key: '7c440e82fda71a578fea3d088426e2934329f5ef', class: "modal-header" }, h("span", { key: '1f060cb243246ee231d5f0226a345e536ad53304', class: "close", onClick: () => this.close.emit() }, "\u2715"), h("h2", { key: '5af332c03ad477fafbcf1ebefcb2fc7d549a2a5b' }, this.modalTitle), this.modalSubtitle && h("h4", { key: 'f2abbe728dbe548bfb77745590bd0d0774c09915' }, this.modalSubtitle)), this.body)));
    }
    static get is() { return "generic-modal"; }
    static get originalStyleUrls() {
        return {
            "$": ["./generic-modal.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["generic-modal.css"]
        };
    }
    static get properties() {
        return {
            "body": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "VNode",
                    "resolved": "VNode",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "modalTitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | VNode",
                    "resolved": "VNode | string",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "modal-title",
                "reflect": false
            },
            "modalSubtitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | VNode",
                    "resolved": "VNode | string",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "modal-subtitle",
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=generic-modal.js.map
