import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: '898571a5ac742280719a1f326c6d5a6e3771e428', class: "balance-container" }, this.header && h("p", { key: '52b55cd26fefdbece4b6650d8db03bf444aede2a' }, this.header), h("div", { key: '5cbe64c8cc82ec70dec43e566173256278e325b9', class: "amount-container" }, h("span", { key: 'd73dabe8ae67318f0d945ef00dfc66fbc35893df', class: "amount-value" }, this.amount), h("span", { key: '1e6c73aaf0cdb8ddb9b5d2559c1674479da436cd', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'efa18c0a5c42ad8c7a38733d5a528888e94101b5' }, this.usdValue)));
    }
    static get is() { return "balance-component"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "amount",
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "ticker",
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "usd-value",
                "reflect": false
            },
            "header": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "header",
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
