import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
export class TransactionAge {
    render() {
        const component = this.tooltip ? (h("span", { title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("span", { "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("span", { key: 'dfc65c1995ea74a627951fb89b6e7c067050c07d' }, component);
    }
    static get is() { return "transaction-age"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-age.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-age.css"]
        };
    }
    static get properties() {
        return {
            "age": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "age",
                "reflect": false
            },
            "tooltip": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "tooltip",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-age.js.map
