import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
export class TransactionMethod {
    render() {
        return (h("div", { key: '4fe4045dbee47d1cb038550433bf5e4c726de3a7' }, h("span", { key: 'd23b157b3c890d5fe2a16969e7dc145107b6cb54', title: this.transactionActionDescription, class: "badge badge-secondary badge-pill font-weight-light p-0", "data-testid": DataTestIdsEnum.transactionMethod }, h("div", { key: 'af4604aacd34874811917345a7a205539ec1c700', class: "badge badge-secondary badge-pill" }, h("div", { key: '5a8b74837be4d437011f9a905d349fa2ca9efa6e', class: "text-truncate text-capitalize text-white p-1" }, this.transactionMethod)))));
    }
    static get is() { return "transaction-method"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get properties() {
        return {
            "transactionActionDescription": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "transaction-action-description",
                "reflect": false
            },
            "transactionMethod": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "transaction-method",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-method.js.map
