import { h } from "@stencil/core";
export class TransactionRow {
    render() {
        return (h("tr", { key: '5336ce13f66c5b144b34f938aea048e6eead24c0', class: "transaction-row" }, h("td", { key: 'abd75d7abe9da9626c2198869ccf12682c3813af' }, h("transaction-hash", { key: '6d1fe38b46831a58e30a0145a356f481c1e86126', transaction: this.transaction }))));
    }
    static get is() { return "transaction-row"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-row.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-row.css"]
        };
    }
    static get properties() {
        return {
            "transaction": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow",
                    "resolved": "ITransactionsTableRow",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-row.js.map
