import { h } from "@stencil/core";
const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
export class TransactionsTable {
    render() {
        return (h("table", { key: '6419a9831116e4bb6209e2b3f224c7cf482d0964', class: "transactions-table" }, h("thead", { key: '71416e1772ebf7c522c0ee1b9aa165ff6f6c5b41', class: "transactions-table-header" }, h("tr", { key: '76219ac65d5472e00ac34ccb7af0fb53867aceca' }, COLUMNS.map(column => (h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), h("tbody", { key: 'a71b7c9993ff103d39bcca4ce21a2b6fa2174bb8', class: "transactions-table-body" }, this.transactions.map(transaction => (h("transaction-row", { key: transaction.txHash, transaction: transaction }))))));
    }
    static get is() { return "transactions-table"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transactions-table.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transactions-table.css"]
        };
    }
    static get properties() {
        return {
            "transactions": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow[]",
                    "resolved": "ITransactionsTableRow[]",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "./transactions-table.type",
                            "id": "src/components/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transactions-table.js.map
