import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';

const transactionToastWrapperCss = ".transaction-toast-wrapper{border-radius:0.25rem;box-shadow:0 0.25rem 0.75rem rgba(0, 0, 0, 0.1);margin-bottom:0.7rem;padding:0.5rem;background-color:#fff;position:relative}";
const TransactionToastWrapperStyle0 = transactionToastWrapperCss;

const TransactionToastWrapper = /*@__PURE__*/ proxyCustomElement(class TransactionToastWrapper extends H {
    constructor() {
        super();
        this.__registerHost();
        this.wrapperClass = 'transaction-toast-wrapper';
    }
    render() {
        return (h("div", { key: '5223f2887967cd8d31fccdf43e9bc0b08d46f45d', id: this.wrapperId, class: this.wrapperClass }, h("slot", { key: 'e2aa015e7b51eabf3ed8758f8eeee73a833d2a76' })));
    }
    static get style() { return TransactionToastWrapperStyle0; }
}, [4, "transaction-toast-wrapper", {
        "wrapperClass": [1, "wrapper-class"],
        "wrapperId": [1, "wrapper-id"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastWrapper);
            }
            break;
    } });
}
defineCustomElement();

export { TransactionToastWrapper as T, defineCustomElement as d };

//# sourceMappingURL=p-516b58b2.js.map