import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { D as DataTestIdsEnum } from './p-9e82c699.js';
import { d as defineCustomElement$2 } from './p-a1b63fa2.js';
import { d as defineCustomElement$1 } from './p-c902ee53.js';

const transactionHashCss = ":host{display:block}";
const TransactionHashStyle0 = transactionHashCss;

const TransactionHash = /*@__PURE__*/ proxyCustomElement(class TransactionHash extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("div", { key: 'a28750953bb9b1d2fde8b2e03b89f0461f14b95d', class: "transactions-table-body-cell" }, h("transaction-icon", { key: 'e31f2421a48a2b8093ef73d85d765947a1048c6a', "icon-info": this.transaction.iconInfo }), h("explorer-link", { key: '2022d41b5a8f0592dca4dba20ca0eceda6179669', dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
    static get style() { return TransactionHashStyle0; }
}, [1, "transaction-hash", {
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-hash", "explorer-link", "transaction-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-hash":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionHash);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { TransactionHash as T, defineCustomElement as d };

//# sourceMappingURL=p-6eff5d53.js.map