import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { g as getIconHtmlFromIconDefinition, a as faArrowUpRightFromSquare } from './p-c259d0a4.js';

const explorerLinkCss = "";
const ExplorerLinkStyle0 = explorerLinkCss;

const ExplorerLink = /*@__PURE__*/ proxyCustomElement(class ExplorerLink extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.class = 'explorer-link';
    }
    render() {
        var _a, _b;
        const icon = getIconHtmlFromIconDefinition((_a = this.icon) !== null && _a !== void 0 ? _a : faArrowUpRightFromSquare);
        return (h("a", { key: 'd7c5b1f5dcd06fbd1d110f51c0a39311676e1c61', "data-testid": this.dataTestId, href: this.link, target: "_blank", class: this.class, rel: "noreferrer" }, (_b = this.text) !== null && _b !== void 0 ? _b : h("span", { key: 'cd89c0f65244c5c7e03b06db1b64d84a39a0f6b5', innerHTML: icon })));
    }
    static get style() { return ExplorerLinkStyle0; }
}, [1, "explorer-link", {
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "icon": [16],
        "link": [1],
        "text": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["explorer-link"];
    components.forEach(tagName => { switch (tagName) {
        case "explorer-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ExplorerLink);
            }
            break;
    } });
}
defineCustomElement();

export { ExplorerLink as E, defineCustomElement as d };

//# sourceMappingURL=p-a1b63fa2.js.map