import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes } from './p-c259d0a4.js';
import { c as classNames } from './p-12360e4c.js';

const transactionIconCss = "";
const TransactionIconStyle0 = transactionIconCss;

const TransactionIcon = /*@__PURE__*/ proxyCustomElement(class TransactionIcon extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        const iconHtml = getIconHtmlFromIconDefinition(this.iconInfo.icon);
        return (h("div", { key: 'd693445f38195307c3a43a63104ed10750786336', class: classNames({
                'fa-sm': this.iconInfo.icon === faTimes,
            }), innerHTML: iconHtml, title: this.iconInfo.tooltip }));
    }
    static get style() { return TransactionIconStyle0; }
}, [1, "transaction-icon", {
        "iconInfo": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionIcon);
            }
            break;
    } });
}
defineCustomElement();

export { TransactionIcon as T, defineCustomElement as d };

//# sourceMappingURL=p-c902ee53.js.map