import { r as registerInstance, h } from './index-1a8b9515.js';

const balanceComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.balance-container{display:flex;flex-direction:column}.amount-container{display:inline-flex;align-items:flex-start;gap:4px;font-size:24px;line-height:1}.amount-value{font-weight:bold}.amount-ticker{font-size:16px;align-self:flex-start}";
const BalanceComponentStyle0 = balanceComponentCss;

const BalanceComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: '898571a5ac742280719a1f326c6d5a6e3771e428', class: "balance-container" }, this.header && h("p", { key: '52b55cd26fefdbece4b6650d8db03bf444aede2a' }, this.header), h("div", { key: '5cbe64c8cc82ec70dec43e566173256278e325b9', class: "amount-container" }, h("span", { key: 'd73dabe8ae67318f0d945ef00dfc66fbc35893df', class: "amount-value" }, this.amount), h("span", { key: '1e6c73aaf0cdb8ddb9b5d2559c1674479da436cd', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'efa18c0a5c42ad8c7a38733d5a528888e94101b5' }, this.usdValue)));
    }
};
BalanceComponent.style = BalanceComponentStyle0;

export { BalanceComponent as balance_component };

//# sourceMappingURL=balance-component.entry.js.map