import { r as registerInstance, h } from './index-1a8b9515.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-a7ccf1b4.js';

const transactionAgeCss = "";
const TransactionAgeStyle0 = transactionAgeCss;

const TransactionAge = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const component = this.tooltip ? (h("span", { title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("span", { "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("span", { key: 'dfc65c1995ea74a627951fb89b6e7c067050c07d' }, component);
    }
};
TransactionAge.style = TransactionAgeStyle0;

export { TransactionAge as transaction_age };

//# sourceMappingURL=transaction-age.entry.js.map