import { r as registerInstance, h } from './index-1a8b9515.js';

const transactionsTableCss = ".transactions-table{width:100%;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb;overflow:auto;table-layout:auto}.transactions-table-header{background-color:#f9fafb}.transactions-table-header-cell{padding:0.75rem 1rem;text-align:left;font-size:0.75rem;line-height:1rem;font-weight:500;color:#6b7280;text-transform:uppercase;letter-spacing:0.05em;width:16.666667%}.transactions-table-body{background-color:#ffffff;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb}.transactions-table-body-cell{align-items:center;display:flex;justify-content:center}";
const TransactionsTableStyle0 = transactionsTableCss;

const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
const TransactionsTable = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("table", { key: '6419a9831116e4bb6209e2b3f224c7cf482d0964', class: "transactions-table" }, h("thead", { key: '71416e1772ebf7c522c0ee1b9aa165ff6f6c5b41', class: "transactions-table-header" }, h("tr", { key: '76219ac65d5472e00ac34ccb7af0fb53867aceca' }, COLUMNS.map(column => (h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), h("tbody", { key: 'a71b7c9993ff103d39bcca4ce21a2b6fa2174bb8', class: "transactions-table-body" }, this.transactions.map(transaction => (h("transaction-row", { key: transaction.txHash, transaction: transaction }))))));
    }
};
TransactionsTable.style = TransactionsTableStyle0;

export { TransactionsTable as transactions_table };

//# sourceMappingURL=transactions-table.entry.js.map