'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a61d733f.js');
const index$1 = require('./index-5eaa1c3a.js');
const dataTestIds_enum = require('./dataTestIds.enum-97d349ab.js');

const explorerLinkCss = "";
const ExplorerLinkStyle0 = explorerLinkCss;

const ExplorerLink = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.class = 'explorer-link';
    }
    render() {
        var _a, _b;
        const icon = index$1.getIconHtmlFromIconDefinition((_a = this.icon) !== null && _a !== void 0 ? _a : index$1.faArrowUpRightFromSquare);
        return (index.h("a", { key: 'd7c5b1f5dcd06fbd1d110f51c0a39311676e1c61', "data-testid": this.dataTestId, href: this.link, target: "_blank", class: this.class, rel: "noreferrer" }, (_b = this.text) !== null && _b !== void 0 ? _b : index.h("span", { key: 'cd89c0f65244c5c7e03b06db1b64d84a39a0f6b5', innerHTML: icon })));
    }
};
ExplorerLink.style = ExplorerLinkStyle0;

const transactionHashCss = ":host{display:block}";
const TransactionHashStyle0 = transactionHashCss;

const TransactionHash = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { key: 'a28750953bb9b1d2fde8b2e03b89f0461f14b95d', class: "transactions-table-body-cell" }, index.h("transaction-icon", { key: 'e31f2421a48a2b8093ef73d85d765947a1048c6a', "icon-info": this.transaction.iconInfo }), index.h("explorer-link", { key: '2022d41b5a8f0592dca4dba20ca0eceda6179669', dataTestId: dataTestIds_enum.DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
};
TransactionHash.style = TransactionHashStyle0;

const transactionIconCss = "";
const TransactionIconStyle0 = transactionIconCss;

const TransactionIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const iconHtml = index$1.getIconHtmlFromIconDefinition(this.iconInfo.icon);
        return (index.h("div", { key: 'd693445f38195307c3a43a63104ed10750786336', class: index$1.classNames({
                'fa-sm': this.iconInfo.icon === index$1.faTimes,
            }), innerHTML: iconHtml, title: this.iconInfo.tooltip }));
    }
};
TransactionIcon.style = TransactionIconStyle0;

exports.explorer_link = ExplorerLink;
exports.transaction_hash = TransactionHash;
exports.transaction_icon = TransactionIcon;

//# sourceMappingURL=explorer-link_3.cjs.entry.js.map