'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a61d733f.js');
const dataTestIds_enum = require('./dataTestIds.enum-97d349ab.js');

const formatAmountCss = ".int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit}";
const FormatAmountStyle0 = formatAmountCss;

const FormatAmount = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.dataTestId = dataTestIds_enum.DataTestIdsEnum.formatAmountComponent;
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    renderInvalid() {
        return (index.h("span", { "data-testid": this.dataTestId, class: this.class }, index.h("span", { class: "int-amount", "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountInt }, "...")));
    }
    renderValid() {
        return (index.h("span", { "data-testid": this.dataTestId, class: this.class }, index.h("span", { class: "int-amount", "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountInt }, this.valueInteger), this.valueDecimal && (index.h("span", { class: "decimals", "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountDecimals }, ".", this.valueDecimal)), this.label && (index.h("span", { class: {
                symbol: true,
                [this.labelClass]: Boolean(this.labelClass),
            }, "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountSymbol }, this.label))));
    }
};
FormatAmount.style = FormatAmountStyle0;

exports.format_amount = FormatAmount;

//# sourceMappingURL=format-amount.cjs.entry.js.map