'use strict';

const index = require('./index-5eaa1c3a.js');

function getIconHtmlFromIconName(iconName) {
    let faIcon;
    const dynamicIcon = index.solidIcons[`fa${capitalize(iconName)}`];
    if (!dynamicIcon) {
        console.error(`Icon "${iconName}" not found"`);
        return null;
    }
    index.library$1.add(dynamicIcon);
    faIcon = index.icon(dynamicIcon);
    return faIcon ? faIcon.html[0] : null;
}
function capitalize(iconName) {
    if (!iconName) {
        return iconName;
    }
    return iconName.charAt(0).toUpperCase() + iconName.slice(1);
}

exports.getIconHtmlFromIconName = getIconHtmlFromIconName;

//# sourceMappingURL=getIconHtmlFromIconName-b7f8381d.js.map