import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { d as defineCustomElement$3 } from './p-a1b63fa2.js';
import { d as defineCustomElement$2 } from './p-6eff5d53.js';
import { d as defineCustomElement$1 } from './p-c902ee53.js';

const transactionRowCss = "";
const TransactionRowStyle0 = transactionRowCss;

const TransactionRow = /*@__PURE__*/ proxyCustomElement(class TransactionRow extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("tr", { key: '5336ce13f66c5b144b34f938aea048e6eead24c0', class: "transaction-row" }, h("td", { key: 'abd75d7abe9da9626c2198869ccf12682c3813af' }, h("transaction-hash", { key: '6d1fe38b46831a58e30a0145a356f481c1e86126', transaction: this.transaction }))));
    }
    static get style() { return TransactionRowStyle0; }
}, [1, "transaction-row", {
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-row", "explorer-link", "transaction-hash", "transaction-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-row":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionRow);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-hash":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { TransactionRow as T, defineCustomElement as d };

//# sourceMappingURL=p-edb26b1f.js.map