import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { D as DataTestIdsEnum } from './p-9e82c699.js';

const transactionAgeCss = "";
const TransactionAgeStyle0 = transactionAgeCss;

const TransactionAge$1 = /*@__PURE__*/ proxyCustomElement(class TransactionAge extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        const component = this.tooltip ? (h("span", { title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("span", { "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("span", { key: 'dfc65c1995ea74a627951fb89b6e7c067050c07d' }, component);
    }
    static get style() { return TransactionAgeStyle0; }
}, [1, "transaction-age", {
        "age": [1],
        "tooltip": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-age"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-age":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionAge$1);
            }
            break;
    } });
}
defineCustomElement$1();

const TransactionAge = TransactionAge$1;
const defineCustomElement = defineCustomElement$1;

export { TransactionAge, defineCustomElement };

//# sourceMappingURL=transaction-age.js.map