import { r as registerInstance, h } from './index-1a8b9515.js';
import { s as state } from './signTransactionsModalStore-24c2e730.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: '1aae71bf7e8f14269ab7613e6af6a389dc99b3c7', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as token_component };

//# sourceMappingURL=token-component.entry.js.map